Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page

# static_copy
[Algorithms and Utility Functions]

## Detailed Description

Equivalent to std::copy. Pairs the elements semantically.

Example:

    rgb8_pixel_t rgb_red(255,0,0);
    bgr8_pixel_t bgr_red;
    static_copy(rgb_red, bgr_red);  // same as bgr_red = rgb_red

    assert(rgb_red[0] == 255 && bgr_red[0] == 0);
    assert(rgb_red == bgr_red);

## Functions

template<typename Src, typename Dst>
GIL_FORCEINLINE void | static_copy (const Src &src, Dst &dst)